#!/bin/bash

SITE="SID Colma Sormano "


for INFILE in sid*.txt; do

BASENAME=${INFILE%.*}
EXTENSION=${INFILE##*.}
DATE=$(echo $BASENAME | sed -r s/"[a-zA-Z]+ *"//)
#echo $DATE

YEAR=$(echo $DATE | cut -c -2)
MONTH=$(echo $DATE | cut -c 3-4)
DAY=$(echo $DATE | cut -c 5-)
DATA="20"$YEAR"-"$MONTH"-"$DAY
TITLE=$SITE$DATA

#echo $YEAR
#echo $MONTH
#echo $DAY
#echo $TITLE
#exit 0

DATAFILE=$BASENAME

# write command file for GNUplot

PLTFILE=$DATAFILE".plt"
OUTPUTFILE=$DATAFILE".png"

cat >$PLTFILE  <<_HEAD
#set term x11
#show terminal
#set terminal png size 800, 600
set terminal png size 1024, 768
set output "$OUTPUTFILE"
set timestamp " "
#set logscale y
set autoscale xy
set timefmt "%s"
set xdata time
set format x "%H:%M"
set xtics
set grid
set xlabel "\nTime UTC"
set ylabel "Strength dB"
set title "$TITLE"
_HEAD
	echo "plot\"$DATAFILE"".txt\" using 1:3 title \"GBZ\" with lines lt 1 lw 1\\" >> $PLTFILE
	echo "    ,"\"$DATAFILE".txt\" using 1:4 title \"ICV\" with lines lt 6 lw 1\\" >> $PLTFILE
#	echo "    ,"\"$DATAFILE".txt\" using 1:5 title \"FTA\" with lines lt 2 lw 1\\" >> $PLTFILE
	echo "    ,"\"$DATAFILE".txt\" using 1:6 title \"GQD\" with lines lt 3 lw 1\\" >> $PLTFILE
#	echo "    ,"\"$DATAFILE".txt\" using 1:7 title \"HWU1\" with lines lt 5 lw 1\\" >> $PLTFILE
#	echo "    ,"\"$DATAFILE".txt\" using 1:9 title \"HWU2\" with lines lt 5 lw 1\\" >> $PLTFILE
	echo "    ,"\"$DATAFILE".txt\" using 1:10 title \"HWU3\" with lines lt 5 lw 1\\" >> $PLTFILE
	echo "    ,"\"$DATAFILE".txt\" using 1:8 title \"DH038\" with lines lt 4 lw 1\\" >> $PLTFILE
#	echo "    ,"\"$DATAFILE".txt\" using 1:11 title \"JXN\" with lines lt 8 lw 1\\" >> $PLTFILE
#	echo "    ,"\"$DATAFILE".txt\" using 1:2 title \"Noise smoothed\" smooth csplines with lines lt -1 lw 1 " >> $PLTFILE
	echo "    ,"\"$DATAFILE".txt\" using 1:2 title \"Noise\" with lines lt -1 lw 1 " >> $PLTFILE

	echo >> $PLTFILE

gnuplot < $PLTFILE
rm -f $PLTFILE
done
exit 0
